#include <stdio.h>

#define RGB(r,g,b) (short)((((b>>3) & 0x1F)<<10)|(((g>>3) & 0x1F)<<5)|(((r>>3) & 0x1F)<<0)|0x8000)
static unsigned short BG_COLOR1=	RGB(240,240,254);
static unsigned short BG_COLOR2= 	RGB(224,224,224);

static unsigned short NUMBOXCOLOR1= 	(209,209,209);
static unsigned short NUMBOX_COLOR1= 	(44,44,44);
static unsigned short NUMBOXCOLOR2 =	-24312;
static unsigned short NUMBOX_COLOR2= 	-32192;

static unsigned short BONUS_COLOR_1= 	-10251;
static unsigned short BONUS_COLOR_2= 	-232;
static unsigned short SHIP_COLOR1=  	-20597;
static unsigned short SHIP_COLOR2= 	-3502;
static unsigned short SHIP_COLOR3=  	-15472;
static unsigned short SHIP_COLOR4= 	-12397;
static unsigned short SHIP_COLOR5= 	-26401;
static unsigned short SHIP_COLOR6= 	-595;

static unsigned short SHOT_COLOR1=	-2127;
static unsigned short SHOT_COLOR2= -2136;

static unsigned short WAKE_COLOR= -9547;

static unsigned short BULLET_COLOR1= -529;
static unsigned short BULLET_COLOR2= -760;
static unsigned short BULLET_COLOR3= -1506;
static unsigned short BULLET_COLOR4= -1730;
static unsigned short BULLET_COLOR5= -16897;
static unsigned short BULLET_COLOR6= -26401;

static unsigned short PAUSE_COLOR1= -12673;
static unsigned short PAUSE_COLOR2= -31711;

static unsigned short STAGECLEAR_COLOR= -12301;
static unsigned short GAMEOVER_COLOR= -364;
static unsigned short FOE_COLOR1= -397;
static unsigned short FOE_COLOR2= -133;
static unsigned short FOE_COLOR3= -13729;
static unsigned short FOE_COLOR4= -4225;
static unsigned short FOE_COLOR5= -1378;
static unsigned short FOE_COLOR6= -1154;
static unsigned short FOE_COLOR7= -20501;
static unsigned short FOE_COLOR8= -8201;
static unsigned short FRAG_COLOR1= RGB(254,194,194);
static unsigned short FRAG_COLOR2= RGB(254,254,172);
static unsigned short FRAG_COLOR3= RGB(234,234,210);
static unsigned short FRAG_COLOR4= RGB(254,166,166);
static unsigned short FRAG_COLOR5= RGB(254,194,194);
static unsigned short FRAG_COLOR6= RGB(254,162,162);
static unsigned short FRAG_COLOR7= RGB(254,254,130);
static unsigned short FRAG_COLOR8= RGB(254,176,176);
static unsigned short FRAG_COLOR9= RGB(254,194,100);
static unsigned short FRAG_COLOR10= RGB(244,244,172);
static unsigned short FRAG_COLOR11= RGB(254,254,110);
static unsigned short FRAG_COLOR12= RGB(254,156,156);
static unsigned short LIVES_COLOR1= RGB(253,168,168);
static unsigned short LIVES_COLOR2= RGB(253,60,60);

static unsigned short SELECT_COLOR1= RGB(253,217,217);
static unsigned short SELECT_COLOR2= RGB(253,84,84);

static unsigned short BGMAIN_COLOR= RGB(255,255,255);

static unsigned short RENDER_BG= 1;


static void setColors() {
int r,g,b;
FILE *fp;
 if ( NULL == (fp = fopen("images/colors.txt","r")) ) {
    return;
  }
if (fscanf(fp,"BG_COLOR1 %d,%d,%d\n",&r,&g,&b)==3) 	BG_COLOR1=RGB(r,g,b);
if (fscanf(fp,"BG_COLOR2 %d,%d,%d\n",&r,&g,&b)==3) 	BG_COLOR2=RGB(r,g,b);
if (fscanf(fp,"NUMBOXCOLOR1 %d,%d,%d\n",&r,&g,&b)==3) NUMBOXCOLOR1=RGB(r,g,b);
if (fscanf(fp,"NUMBOXCOLOR2 %d,%d,%d\n",&r,&g,&b)==3) NUMBOXCOLOR2=RGB(r,g,b);
if (fscanf(fp,"NUMBOX_COLOR1 %d,%d,%d\n",&r,&g,&b)==3) NUMBOX_COLOR1=RGB(r,g,b);
if (fscanf(fp,"NUMBOX_COLOR2 %d,%d,%d\n",&r,&g,&b)==3) NUMBOX_COLOR2=RGB(r,g,b);
if (fscanf(fp,"BONUS_COLOR_1 %d,%d,%d\n",&r,&g,&b)==3) BONUS_COLOR_1=RGB(r,g,b);
if (fscanf(fp,"BONUS_COLOR_2 %d,%d,%d\n",&r,&g,&b)==3) BONUS_COLOR_2=RGB(r,g,b);
if (fscanf(fp,"SHIP_COLOR1 %d,%d,%d\n",&r,&g,&b)==3) SHIP_COLOR1=RGB(r,g,b);
if (fscanf(fp,"SHIP_COLOR2 %d,%d,%d\n",&r,&g,&b)==3) SHIP_COLOR2=RGB(r,g,b);
if (fscanf(fp,"SHIP_COLOR3 %d,%d,%d\n",&r,&g,&b)==3) SHIP_COLOR3=RGB(r,g,b);
if (fscanf(fp,"SHIP_COLOR4 %d,%d,%d\n",&r,&g,&b)==3) SHIP_COLOR4=RGB(r,g,b);
if (fscanf(fp,"SHIP_COLOR5 %d,%d,%d\n",&r,&g,&b)==3) SHIP_COLOR5=RGB(r,g,b);
if (fscanf(fp,"SHIP_COLOR6 %d,%d,%d\n",&r,&g,&b)==3) SHIP_COLOR6=RGB(r,g,b);
if (fscanf(fp,"SHOT_COLOR1 %d,%d,%d\n",&r,&g,&b)==3) SHOT_COLOR1=RGB(r,g,b);
if (fscanf(fp,"SHOT_COLOR2 %d,%d,%d\n",&r,&g,&b)==3) SHOT_COLOR2=RGB(r,g,b);
if (fscanf(fp,"WAKE_COLOR %d,%d,%d\n",&r,&g,&b)==3) WAKE_COLOR=RGB(r,g,b);
if (fscanf(fp,"BULLET_COLOR1 %d,%d,%d\n",&r,&g,&b)==3) BULLET_COLOR1=RGB(r,g,b);
if (fscanf(fp,"BULLET_COLOR2 %d,%d,%d\n",&r,&g,&b)==3) BULLET_COLOR2=RGB(r,g,b);
if (fscanf(fp,"BULLET_COLOR3 %d,%d,%d\n",&r,&g,&b)==3) BULLET_COLOR3=RGB(r,g,b);
if (fscanf(fp,"BULLET_COLOR4 %d,%d,%d\n",&r,&g,&b)==3) BULLET_COLOR4=RGB(r,g,b);
if (fscanf(fp,"BULLET_COLOR5 %d,%d,%d\n",&r,&g,&b)==3) BULLET_COLOR5=RGB(r,g,b);
if (fscanf(fp,"BULLET_COLOR6 %d,%d,%d\n",&r,&g,&b)==3) BULLET_COLOR6=RGB(r,g,b);

if (fscanf(fp,"PAUSE_COLOR1 %d,%d,%d\n",&r,&g,&b)==3) PAUSE_COLOR1=RGB(r,g,b);
if (fscanf(fp,"PAUSE_COLOR2 %d,%d,%d\n",&r,&g,&b)==3) PAUSE_COLOR2=RGB(r,g,b);

if (fscanf(fp,"STAGECLEAR_COLOR %d,%d,%d\n",&r,&g,&b)==3) STAGECLEAR_COLOR=RGB(r,g,b);
if (fscanf(fp,"GAMEOVER_COLOR %d,%d,%d\n",&r,&g,&b)==3) GAMEOVER_COLOR=RGB(r,g,b);
if (fscanf(fp,"FOE_COLOR1 %d,%d,%d\n",&r,&g,&b)==3) FOE_COLOR1=RGB(r,g,b);
if (fscanf(fp,"FOE_COLOR2 %d,%d,%d\n",&r,&g,&b)==3) FOE_COLOR2=RGB(r,g,b);
if (fscanf(fp,"FOE_COLOR3 %d,%d,%d\n",&r,&g,&b)==3) FOE_COLOR3=RGB(r,g,b);
if (fscanf(fp,"FOE_COLOR4 %d,%d,%d\n",&r,&g,&b)==3) FOE_COLOR4=RGB(r,g,b);
if (fscanf(fp,"FOE_COLOR5 %d,%d,%d\n",&r,&g,&b)==3) FOE_COLOR5=RGB(r,g,b);
if (fscanf(fp,"FOE_COLOR6 %d,%d,%d\n",&r,&g,&b)==3) FOE_COLOR6=RGB(r,g,b);
if (fscanf(fp,"FOE_COLOR7 %d,%d,%d\n",&r,&g,&b)==3) FOE_COLOR7=RGB(r,g,b);
if (fscanf(fp,"FOE_COLOR8 %d,%d,%d\n",&r,&g,&b)==3) FOE_COLOR8=RGB(r,g,b);

if (fscanf(fp,"FRAG_COLOR1 %d,%d,%d\n",&r,&g,&b)==3) FRAG_COLOR1=RGB(r,g,b);
if (fscanf(fp,"FRAG_COLOR2 %d,%d,%d\n",&r,&g,&b)==3) FRAG_COLOR2=RGB(r,g,b);
if (fscanf(fp,"FRAG_COLOR3 %d,%d,%d\n",&r,&g,&b)==3) FRAG_COLOR3=RGB(r,g,b);
if (fscanf(fp,"FRAG_COLOR4 %d,%d,%d\n",&r,&g,&b)==3) FRAG_COLOR4=RGB(r,g,b);
if (fscanf(fp,"FRAG_COLOR5 %d,%d,%d\n",&r,&g,&b)==3) FRAG_COLOR5=RGB(r,g,b);
if (fscanf(fp,"FRAG_COLOR6 %d,%d,%d\n",&r,&g,&b)==3) FRAG_COLOR6=RGB(r,g,b);
if (fscanf(fp,"FRAG_COLOR7 %d,%d,%d\n",&r,&g,&b)==3) FRAG_COLOR7=RGB(r,g,b);
if (fscanf(fp,"FRAG_COLOR8 %d,%d,%d\n",&r,&g,&b)==3) FRAG_COLOR8=RGB(r,g,b);
if (fscanf(fp,"FRAG_COLOR9 %d,%d,%d\n",&r,&g,&b)==3) FRAG_COLOR9=RGB(r,g,b);
if (fscanf(fp,"FRAG_COLOR10 %d,%d,%d\n",&r,&g,&b)==3) FRAG_COLOR10=RGB(r,g,b);
if (fscanf(fp,"FRAG_COLOR11 %d,%d,%d\n",&r,&g,&b)==3) FRAG_COLOR11=RGB(r,g,b);
if (fscanf(fp,"FRAG_COLOR12 %d,%d,%d\n",&r,&g,&b)==3) FRAG_COLOR12=RGB(r,g,b);

if (fscanf(fp,"LIVES_COLOR1 %d,%d,%d\n",&r,&g,&b)==3) LIVES_COLOR1=RGB(r,g,b);
if (fscanf(fp,"LIVES_COLOR2 %d,%d,%d\n",&r,&g,&b)==3) LIVES_COLOR2=RGB(r,g,b);

if (fscanf(fp,"SELECT_COLOR1 %d,%d,%d\n",&r,&g,&b)==3) SELECT_COLOR1=RGB(r,g,b);
if (fscanf(fp,"SELECT_COLOR2 %d,%d,%d\n",&r,&g,&b)==3) SELECT_COLOR2=RGB(r,g,b);

if (fscanf(fp,"BGMAIN_COLOR %d,%d,%d\n",&r,&g,&b)==3) BGMAIN_COLOR=RGB(r,g,b);
if (fscanf(fp,"RENDER_BG %d\n",&r)==1) RENDER_BG=r;

fclose(fp);

} 
